Package org.eclipse.birt.report.model.api

# Class ScriptDataSetHandle

java.lang.Object
org.eclipse.birt.report.model.api.DesignElementHandle
org.eclipse.birt.report.model.api.ReportElementHandle
org.eclipse.birt.report.model.api.DataSetHandle
org.eclipse.birt.report.model.api.ScriptDataSetHandle

All Implemented Interfaces:
  `org.eclipse.birt.report.model.elements.interfaces.IDataSetModel`, `org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel`, `org.eclipse.birt.report.model.elements.interfaces.IScriptDataSetModel`, `org.eclipse.birt.report.model.elements.interfaces.ISimpleDataSetModel`

public class ScriptDataSetHandle extends DataSetHandle implements org.eclipse.birt.report.model.elements.interfaces.IScriptDataSetModel
Represents a script data set item. The scripted data set gives the report developer the ability to implement a data set in code. The developer implements a series of simple scripts to open the data set, fetch each row, and to close the data set.

See Also:
  - `ScriptDataSet`

## Field Summary

### Fields inherited from class org.eclipse.birt.report.model.api.ReportElementHandle

`element`

### Fields inherited from class org.eclipse.birt.report.model.api.DesignElementHandle

`module`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDataSetModel

`ACL_EXPRESSION_PROP, CACHED_METADATA_PROP, COLUMN_HINTS_PROP, COMPUTED_COLUMNS_PROP, FILTER_PROP, IS_VISIBLE_PROP, LOCALE_PROP, NEEDS_CACHE_PROP, NULLS_ORDERING_PROP, PARAMETERS_PROP, RESULT_SET_HINTS_PROP, RESULT_SET_PROP, ROW_ACL_EXPRESSION_PROP, ROW_FETCH_LIMIT_PROP, SORT_HINTS_PROP`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel

`COMMENTS_PROP, CUSTOM_XML_PROP, DISPLAY_NAME_ID_PROP, DISPLAY_NAME_PROP, EVENT_HANDLER_CLASS_PROP, EXTENDS_PROP, FULL_LABEL, ID_SUFFIX, NAME_PROP, NEW_HANDLER_ON_EACH_EVENT_PROP, NO_SLOT, PROPERTY_MASKS_PROP, REF_TEMPLATE_PARAMETER_PROP, SHORT_LABEL, USER_LABEL, USER_PROPERTIES_PROP, VIEW_ACTION_PROP`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IScriptDataSetModel

`CLOSE_METHOD, DESCRIBE_METHOD, FETCH_METHOD, OPEN_METHOD`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.ISimpleDataSetModel

`AFTER_CLOSE_METHOD, AFTER_OPEN_METHOD, BEFORE_CLOSE_METHOD, BEFORE_OPEN_METHOD, CACHED_ROW_COUNT_PROP, DATA_SET_ROW_LIMIT, DATA_SOURCE_PROP, ON_FETCH_METHOD, PARAM_BINDINGS_PROP`

## Constructor Summary

Constructors
Constructor
Description
`ScriptDataSetHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)`
Constructs a handle for script data set.

## Method Summary

Modifier and Type
Method
Description
`String`
`getClose()`
Returns the script for closing data set.
`String`
`getDescribe()`
Returns the script for describing the result set dynamically.
`String`
`getFetch()`
Returns the script for providing the data for the next row from the result set.
`String`
`getOpen()`
Returns the script for opening data set.
`PropertyHandle`
`getPropertyHandle(String propName)`
Returns a property handle for a top-level property.
`Iterator`
`resultSetIterator()`
Deprecated.
by {#resultSetHintsIterator()}
`void`
`setClose(String value)`
Sets the script for closing data set.
`void`
`setDescribe(String value)`
Sets the script for describing the result set dynamically.
`void`
`setFetch(String value)`
Sets the script for providing the data for the next row from the result set.
`void`
`setOpen(String value)`
Sets the script for opening data set.

### Methods inherited from class org.eclipse.birt.report.model.api.DataSetHandle

`addFilter, columnHintsIterator, computedColumnsIterator, filtersIterator, getACLExpression, getAfterClose, getAfterOpen, getBeforeClose, getBeforeOpen, getCachedMetaDataHandle, getCachedRowCount, getDataSetRowLimit, getDataSource, getDataSourceName, getLocale, getNullsOrdering, getOnFetch, getRowACLExpression, getRowFetchLimit, isVisible, needsCache, paramBindingsIterator, parametersIterator, removeFilter, resultSetHintsIterator, setAfterClose, setAfterOpen, setBeforeClose, setBeforeOpen, setCachedMetaData, setCachedRowCount, setDataSetRowLimit, setDataSource, setIsVisible, setLocale, setNeedsCache, setNullsOrdering, setOnFetch, setRowFetchLimit, sortHintsIterator`

### Methods inherited from class org.eclipse.birt.report.model.api.ReportElementHandle

`getComments, getCustomXml, getDisplayName, getDisplayNameKey, getElement, getPropertyMask, isValidLayoutForCompoundElement, isValidReferenceForCompoundElement, propertyMaskIterator, setComments, setCustomXml, setDisplayName, setDisplayNameKey, setPropertyMask`

### Methods inherited from class org.eclipse.birt.report.model.api.DesignElementHandle

`add, add, addElement, addElement, addListener, addUserPropertyDefn, cachePropertyHandles, canContain, canContain, canContain, canContain, canDrop, canEdit, canTransformToTemplate, clearAllProperties, clearContents, clearProperty, clientsIterator, copy, copyPropertyTo, createTemplateElement, derivedIterator, doSort, drop, drop, drop, dropAndClear, dropAndClear, dropAndClear, dropUserPropertyDefn, findContentSlot, getBooleanProperty, getChoices, getColorProperty, getContainer, getContainerPropertyHandle, getContainerSlotHandle, getContent, getContentCount, getContents, getDefn, getDesign, getDesignHandle, getDimensionProperty, getDisplayLabel, getDisplayLabel, getDisplayProperty, getEffectiveModule, getElementFactory, getElementProperty, getEventHandlerClass, getExpressionProperty, getExtends, getExternalizedValue, getExternalizedValue, getExternalizedValue, getFactoryElementHandle, getFactoryPropertyHandle, getFloatProperty, getFontProperty, getFullName, getHostViewHandle, getID, getIndex, getIntProperty, getListProperty, getListProperty, getMethods, getModule, getModuleHandle, getName, getNumberProperty, getPrivateStyle, getProperty, getPropertyBinding, getPropertyBindingExpression, getPropertyBindings, getPropertyDefn, getPropertyIterator, getQualifiedName, getRoot, getSemanticErrors, getSlot, getStringProperty, getStyle, getTagType, getUserProperties, getUserPropertyDefnHandle, getXPath, hasLocalProperties, hasSemanticError, initializeSlotHandles, isDirectionRTL, isInTemplateParameter, isTemplateParameterValue, isValid, localize, move, move, moveTo, moveTo, moveTo, moveTo, newHandlerOnEachEvent, paste, paste, paste, paste, removeListener, revertToReportItem, revertToTemplate, semanticCheck, setBooleanProperty, setEncryption, setEventHandlerClass, setExpressionProperty, setExtends, setExtendsElement, setExtendsName, setFloatProperty, setIntProperty, setName, setNewHandlerOnEachEvent, setNumberProperty, setProperties, setProperty, setPropertyBinding, setPropertyBinding, setStringProperty, setStyle, setStyleElement, setStyleName, setValid, shift, showError, slotsIterator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ScriptDataSetHandle

public ScriptDataSetHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)
Constructs a handle for script data set.

Parameters:
  `module` - the module
  `element` - the script data set element

## Method Details

### getOpen

public String getOpen()
Returns the script for opening data set.

Returns:
  the script for opening data set.

### setOpen

public void setOpen(String value) throws SemanticException
Sets the script for opening data set.

Parameters:
  `value` - the script to set
Throws:
  `SemanticException` - if the property is locked.

### getDescribe

public String getDescribe()
Returns the script for describing the result set dynamically.

Returns:
  the script for describing the result set dynamically

### setDescribe

public void setDescribe(String value) throws SemanticException
Sets the script for describing the result set dynamically.

Parameters:
  `value` - the script to set
Throws:
  `SemanticException` - if the property is locked.

### getFetch

public String getFetch()
Returns the script for providing the data for the next row from the result set. When the data set has returned the last row from the result set, subsequent calls to Fetch should return null. (A`null` return value indicates the end of the result set.)

Returns:
  the script for providing the data for the next row from the result set.

### setFetch

public void setFetch(String value) throws SemanticException
Sets the script for providing the data for the next row from the result set.

Parameters:
  `value` - the script to set
Throws:
  `SemanticException` - if the property is locked.
See Also:
  - `getFetch()`

### getClose

public String getClose()
Returns the script for closing data set.

Returns:
  the script for closing data set.

### setClose

public void setClose(String value) throws SemanticException
Sets the script for closing data set.

Parameters:
  `value` - the script to set
Throws:
  `SemanticException` - if the property is locked.

### resultSetIterator

@Deprecated public Iterator resultSetIterator()
Deprecated.
by {#resultSetHintsIterator()}
Returns an iterator over hints of the result set columns. The iterator returns instances of `ResultSetColumnHandle` that represents hints of result set column object.

Overrides:
  `resultSetIterator` in class `DataSetHandle`
Returns:
  iterator over hints of result set columns.
See Also:
  - `DataSetHandle.resultSetIterator()`

### getPropertyHandle

public PropertyHandle getPropertyHandle(String propName)
Description copied from class: `DesignElementHandle`
Returns a property handle for a top-level property. A top-level property is a property that defines on an element.

Overrides:
  `getPropertyHandle` in class `DataSetHandle`
Parameters:
  `propName` - the name of the property to get
Returns:
  The property handle, or `null` if the no property exists with the given name.
See Also:
  - `PropertyHandle`